//Import helpers
@import './_variables';
@import './_fonts';
@import './_mixins';
@import './_helpers';
@import './_icons';
@import './_grids';
@import './_selectclone';

// Normalize Styles
@import 'node_modules/normalize.css/normalize';

//Plugin Styles
@import 'node_modules/slick-carousel/slick/slick.scss';
@import 'node_modules/flatpickr/dist/flatpickr';

// Box sizing partial styles:
// Apply a natural box layout model to all elements
*,
*:before,
*:after {
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

html {
	font-size: 1em;
}

body {
	font: 1em/1.5 $primaryfont;
}

// Styling on warning for users on IE7 or below
.browsehappy {
	text-align: center;
	margin: 0;
	background: #fff8e2;
	color: #000;
	padding: 0.5em 0;
}

a, button {
	transition: all .25s ease-in-out;
}

button {
	cursor: pointer;
}

.section-standard {
	overflow: hidden;

	
	.standard-article {
		min-height: 350px;
	}

}

@media only screen and (max-width: $bpTablet - 1) {
	.section-standard article {
		margin: 1em 0;
	}	
}

// Import Modules

// Utils
@import '../_modules/utils/section/section';
@import '../_modules/utils/select-clone/select-clone';
@import '../_modules/utils/table-responsive/table-responsive';
@import '../_modules/utils/back-to-top/back-to-top';
@import '../_modules/utils/carousel/carousel';
@import '../_modules/utils/animations/animations';

// Atoms
@import '../_modules/atoms/button/button';

// Molecules
@import '../_modules/molecules/breadcrumb/breadcrumb';
@import '../_modules/molecules/side-nav/side-nav';
@import '../_modules/molecules/page-title/page-title';
@import '../_modules/molecules/site-nav/site-nav';
@import '../_modules/molecules/site-search/site-search';
@import '../_modules/molecules/notification/notification';
@import '../_modules/molecules/text-card/text-card';
@import '../_modules/molecules/sticky-share/sticky-share';
@import '../_modules/molecules/standard-carousel/standard-carousel';
@import '../_modules/molecules/brushstroke/brushstroke';

// Organisms
@import '../_modules/organisms/site-header/site-header';
@import '../_modules/organisms/site-footer/site-footer';
@import '../_modules/organisms/rte/rte';
@import '../_modules/organisms/form/form';
@import '../_modules/organisms/highlights/highlights';
@import '../_modules/organisms/mainvideo/mainvideo';
@import '../_modules/organisms/section-logo/section-logo';
@import '../_modules/organisms/section-standard/section-standard';
@import '../_modules/organisms/section-form/section-form';
@import '../_modules/organisms/video-test/video-test';